MorfologikPOSTaggerFactory (Apache OpenNLP Morfologik Addon 1.9.5 API)
Date: 2026-06-18

opennlp.morfologik.tagdict

## Class MorfologikPOSTaggerFactory

- java.lang.Object
- - opennlp.tools.util.BaseToolFactory
  - - opennlp.tools.postag.POSTaggerFactory
    - - opennlp.morfologik.tagdict.MorfologikPOSTaggerFactory

-     public class MorfologikPOSTaggerFactory
      extends opennlp.tools.postag.POSTaggerFactory

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class opennlp.tools.postag.POSTaggerFactory

      `opennlp.tools.postag.POSTaggerFactory.POSDictionarySerializer`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MorfologikPOSTaggerFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Map<String,Object>` | `createArtifactMap()`
    `Map<String,opennlp.tools.util.model.ArtifactSerializer>` | `createArtifactSerializersMap()`
    `opennlp.tools.postag.TagDictionary` | `createEmptyTagDictionary()`
    `opennlp.tools.postag.TagDictionary` | `createTagDictionary(File dictionary)`
    `opennlp.tools.postag.TagDictionary` | `createTagDictionary(InputStream in)`
    `opennlp.tools.postag.TagDictionary` | `getTagDictionary()`
    `void` | `setTagDictionary(opennlp.tools.postag.TagDictionary dictionary)`

    - ### Methods inherited from class opennlp.tools.postag.POSTaggerFactory

      `create, create, createFeatureGenerators, getDictionary, getPOSContextGenerator, getPOSContextGenerator, getSequenceValidator, setDictionary, validateArtifactMap`

    - ### Methods inherited from class opennlp.tools.util.BaseToolFactory

      `create, create, createManifestEntries`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MorfologikPOSTaggerFactory

          public MorfologikPOSTaggerFactory()

  - ### Method Detail

    - #### createTagDictionary

          public opennlp.tools.postag.TagDictionary createTagDictionary(File dictionary)
                                                                 throws IOException

      Overrides:
        `createTagDictionary` in class `opennlp.tools.postag.POSTaggerFactory`
      Throws:
        `IOException`

    - #### getTagDictionary

          public opennlp.tools.postag.TagDictionary getTagDictionary()

      Overrides:
        `getTagDictionary` in class `opennlp.tools.postag.POSTaggerFactory`

    - #### setTagDictionary

          public void setTagDictionary(opennlp.tools.postag.TagDictionary dictionary)

      Overrides:
        `setTagDictionary` in class `opennlp.tools.postag.POSTaggerFactory`

    - #### createEmptyTagDictionary

          public opennlp.tools.postag.TagDictionary createEmptyTagDictionary()

      Overrides:
        `createEmptyTagDictionary` in class `opennlp.tools.postag.POSTaggerFactory`

    - #### createTagDictionary

          public opennlp.tools.postag.TagDictionary createTagDictionary(InputStream in)
                                                                 throws IOException

      Overrides:
        `createTagDictionary` in class `opennlp.tools.postag.POSTaggerFactory`
      Throws:
        `IOException`

    - #### createArtifactSerializersMap

          public Map<String,opennlp.tools.util.model.ArtifactSerializer> createArtifactSerializersMap()

      Overrides:
        `createArtifactSerializersMap` in class `opennlp.tools.postag.POSTaggerFactory`

    - #### createArtifactMap

          public Map<String,Object> createArtifactMap()

      Overrides:
        `createArtifactMap` in class `opennlp.tools.postag.POSTaggerFactory`

Copyright © 2026 The Apache Software Foundation. All rights reserved.